* {
    margin: 0px;
    padding: 0px;
}

:root {
    --red: #F3525A;
    --lightGray1: #f6f6f6;
    --lightGray2: #a2a1ab;
    --white: #fff;
    --black: #000;
    --boja1: #e4b482
}

@media screen and (max-width: 870px){
    
    .c-text {
        font-size:2rem !important;
    }
    
}
@media screen and (max-width: 550px){
    
    .c-text {
        font-size:1.5rem !important;
    }
    
}
/* Carousel caption responsive fix */

@media (max-width: 1150px) {
    .custom-caption {
        position: static !important;
        background-color: var(--lightGray1);
        color: #000;
        padding: 2rem 1rem;
        text-align: center;
    }
    .custom-caption .caption-inner {
        max-width: 800px;
        margin: 0 auto;
    }
    .custom-caption h2 {
        font-size: 1.75rem;
    }
    .custom-caption p {
        font-size: 1rem;
    }
    .mc-slider-links a {
        display: inline-block;
        margin: 0.5rem 0.5rem;
    }
}
@media (max-width:500px){
    .hero-bg {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-image: url('../img/pozadina.PNG') !important;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        background-attachment: fixed;
        filter: blur(5px); /* 👈 dodaje blur */
        transform: scale(1.05); /* 👈 malo uveća da zamaskira ivice blura */
        z-index: -2;
    }
}
.usluga-slika{
    width: 200px;
    height: 200px;
}
.hero-section {
    position: relative;
    overflow: hidden;
    z-index: 0;
}
.gallery-img {
    width: 100%;
    height: 25rem; /* prilagodi po potrebi */
    object-fit: cover;
  }
  
@media screen and (max-width:770px){
    .gallery-img{
        width: 100%;
        height: 10rem;
    }
}
.hero-bg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: url('../img/111-min.JPG');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    filter: blur(5px); /* 👈 dodaje blur */
    transform: scale(1.05); /* 👈 malo uveća da zamaskira ivice blura */
    z-index: -2;
}


.hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    
    z-index: -1;
}

  
.placeholder-img {
    width: 100%;
    height: 200px;
    background-color: var(--boja1);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white);
    font-weight: bold;
    border-radius: 10px;
}

@media (min-width: 768px) {
    .placeholder-img.large {
        height: 300px;
    }
}

.text-boja1 {
    color: var(--boja1);
}

.btn-boja1 {
    background-color: #e4b482;
    border: none;
    transition: 0.3s;
}

.btn-boja1:hover {
    background-color: #c39a6c;
}

.bi {
    
    color: black;
    margin-bottom: 3em;
}

.text-white {
    color: var(--white);
}

.bg-boja2 {
    background-color: var(--lightGray1);
}

.bg-boja1 {
    background-color: var(--boja1);
}

#footer-01 {
    display: flex !important;
    justify-content: space-between;
}
.futerdiv{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
body {
    font-family: 'Barlow', sans-serif;
}

a {
    text-decoration: none;
}

p {
    margin-bottom: 0px;
}


/* bg and text */

.mc-bg-lightgray1 {
    background-color: var(--lightGray1);
}

.mc-bg-red {
    background-color: var(--red);
}

.mc-text-red {
    color: var(--red);
}

#bottom-header {
    position: sticky;
    top: 0;
    z-index: 10000;
    padding: 1px 1px 1px 1px;
}
.nav-item a:hover{
    color:var(--boja1) !important;
}
body {
    overflow-x: hidden;
    /* samo horizontalno */
}
.formica{
    padding-top: 1em !important;
}
.forma123{
    margin-right: 10px !important;
}
.infoicon {
   color:var(--boja1);
   font-size: 40px;
}
.bg-plava{
    background-color: #052f1f;
}
.footer1{
    padding: 3em 5% 3em;
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(400px,auto));
    gap: 5.5rem;
    
    justify-content: center;
    align-items: center;
    
}
.footer-pravi{
    background-color: #052f1f;
}
.copy a{
    color: var(--boja1);
}


.arr{
    
    text-align: center;
    padding: 0;
    margin: 0;
}
.footer1 ul,li a{
    list-style: none;
    list-style-type: none;
    padding-left: 0;
    margin-left: 0;
    text-emphasis: none;
    text-decoration: none;
    color: wheat;

}
.footer1 li, a:hover{
    color: var(--boja1);
}
.footer1 img{
    width: 17em;
}
.footer1 i{
    color: wheat;
}
/* padding and margin */
.naslov{
    font-size: 1.98em !important;
}
#languageSwitcher{
    text-decoration: none;
    appearance: none;       /* za uklanjanje native stila na većini browsera */
  -webkit-appearance: none;
  -moz-appearance: none;
  background-color:#052f1f;
  color: wheat;
 
  
}
.list-group-horizontal{
background-color: #052f1f !important;
}
.carousel-item img {
    height: auto;
    /* Ovo omogućava da slika zadrži proporcije */
    object-fit: cover;
    /* Ovo osigurava da slika popuni prostor, ali zadrži proporcije */
}

.carousel-item {
    position: relative;
}

.carousel-caption {
    position: absolute;
}
@media (min-width:1181px){
    .c-text{
        text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.7) !important;
    
    }
    .c-naslov{
        text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7) !important;
    }
}
@media (max-width: 1180px) {
    .carousel-caption h2 {
        font-size: 22px;
        /* Manja veličina za mobilne uređaje */
    }
   
    .carousel-caption p {
        font-size: 12px;
        /* Manja veličina za mobilne uređaje */
    }
    .carousel-caption {
        bottom: 15%;
        /* Podesi poziciju za manji ekran */
    }
}

@media (max-width: 768px) {
    .carousel-caption h2 {
        font-size: 24px;
        /* Manja veličina za mobilne uređaje */
    }
    .carousel-caption p {
        font-size: 16px;
        /* Manja veličina za mobilne uređaje */
    }
    .carousel-caption {
        bottom: 15%;
        /* Podesi poziciju za manji ekran */
    }
}

@media (max-width: 480px) {
    .carousel-caption h2 {
        font-size: 20px;
        /* Još manja veličina za mobilne uređaje */
    }
    .carousel-caption p {
        font-size: 14px;
        /* Manja veličina za mobilne uređaje */
    }
    .carousel-caption {
        bottom: 10%;
        /* Podesi poziciju za još manji ekran */
    }
}

#logo {
    width: 10rem;
    height: auto;
    margin: 0px 0px 0px 0px;
}


/* layout */

.mc-w-90 {
    width: 90%;
}
.hg{
    padding: 0.5em;
}
.informacije{
    padding-top: 1.95em;
}
#top-header .list-group-item {
    background-color: transparent;
    border-radius: 0px;
    border: none;
    border-right: 1px solid var(--bs-list-group-border-color);
}

.list-group{
    --bs-list-group-bg: #052f1f !important;
  --bs-list-group-border-color: none;
}
#top-header ul li:last-child {
    border-right: 0px;
}

#info-01 a {
    color: var(--lightGray2);
    font-size: 12px;
}

#info-02 a {
    font-size: 12px;
    color: var(--white);
}

#navbarNavDropdown ul li a {
    
    color: var(--black);
}
.nav-item {
    padding-left: 2rem;
    
}
.nav-item a{
    color: wheat !important;
}

.active,
.mc-logo:hover {
    color: var(--boja1) !important;
}

.mc-link {
    border-radius: 35px;
    padding: 10px 20px;
    display: inline-block;
    color: var(--white);
    
}
.text-bez{
    color: #c39a6c;
}
#slider h2 {
    font-size: 18px;
}

#slider p {
    font-size: 40px;
}

#slider .carousel-caption {
    bottom: 20.25rem;
    left: 25%;
    right: 25%;
}

#about-01 span {
    font-size: 18px;
}

#about-01 h3,
#about-01 h3 span {
    font-size: 38px;
}

#about-01 p {
    color: var(--lightGray2);
}

.mc-icon {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    text-align: center;
    /* display: flex; */
    /* justify-content: center; */
    /* align-items: center; */
    text-align: center;
    line-height: 50px;
}

.mc-icon i {
    font-size: 20px;
}

.mc-icon-white {
    background: var(--white);
    color: var(--red);
}

.mc-icon-red {
    background: var(--red);
    color: var(--white);
}